.

Installing and running Metasploit 3.0 Beta 3 on Ubuntu

<<

mn_kthompson

User avatar

Jr. Member
Jr. Member

Posts: 58

Joined: Tue Sep 19, 2006 1:59 pm

Location: Mankato, MN

Post Wed Dec 06, 2006 1:29 pm

Installing and running Metasploit 3.0 Beta 3 on Ubuntu

Installing and running Metasploit is easy and fun in the current version.  However the new version was completely re-written in ruby and making it work isn't quite as simple as it once was.  When I tried to sit down and start playing I found that I had to get a lot of other stuff installed first.  I've also found that there isn't much documentation out there describing what you need to have installed on your machine to make Metasploit 3 work.  So I decided to sit down and figure out what needed to be installed and configured on my ubuntu machine so that Metasploit 3.0 will run, and now I'm passing these instructions on to you.  Once you've got metasploit running don't ask me how to do anything with it because I don't know crap.

These instructions were tested on a virtual machine running a pristine new install of Ubuntu 6.10 (Edgy Eft).  These instructions should work exactly as entered on such a machine, and to the degree that your machine varies from this pristine model I've used, so will the instructions.

Step one: enable universe repository

  Code:
sudo gedit /etc/apt/sources.list

uncomment the two lines that add software from universe
deb http://us.archive.ubuntu.com/ubuntu/ edgy universe
deb-src http://us.archive.ubuntu.com/ubuntu/ edgy universe

Step two: Make sure you're up to date:

  Code:
sudo apt-get update
sudo apt-get dist-upgrade


Step three: Install everything under the sun!

  Code:
sudo apt-get install ruby libopenssl-ruby1.8 ruby1.8-dev rdoc irb
wget http://rubyforge.org/frs/download.php/11289/rubygems-0.9.0.tgz
gunzip < rubygems-0.9.0.tgz | tar xvf rubygems-0.9.0.tgz
cd rubygems-0.9.0
sudo ruby setup.rb
sudo gem install rails --include-dependencies


Step four: download Metasploit and unzip it

  Code:
gunzip < framework-3.0-beta-3 | tar xvf -


Step five: Start up the application
  Code:
cd framework-3.0-beta-3
sudo ./msfweb

open browser to http://localhost:55555

I hope this helps someone to get Metasploit 3.0 running on their linux machine.  I hope that someone will then write a posting telling us how to do stuff with metasploit 3.0 because there are some new options and the old stuff doesn't work quite the same.
<<

mn_kthompson

User avatar

Jr. Member
Jr. Member

Posts: 58

Joined: Tue Sep 19, 2006 1:59 pm

Location: Mankato, MN

Post Wed Dec 06, 2006 1:54 pm

Re: Installing and running Metasploit 3.0 Beta 3 on Ubuntu

I just had a chance to glance over one of the videos and it looks sweet!  I also notice that the author's name is strikingly similar to yours.  Good job man!

What program did you use to create that wonderful video?
<<

LSOChris

Post Wed Dec 06, 2006 5:24 pm

Re: Installing and running Metasploit 3.0 Beta 3 on Ubuntu

i use camtasia

Return to Network Pen Testing

Who is online

Users browsing this forum: No registered users and 2 guests

.
Powered by phpBB® Forum Software © phpBB Group.
Designed by ST Software